# parallel\Future::cancel

(0.9.0)

parallel\Future::cancel — Cancellation

### Descripción

public parallel\Future::cancel(): bool

Shall try to cancel the task

> Nota:

> If task is running, it will be interrupted.

Advertencia

Internal function calls in progress cannot be interrupted.

### Exceptions

Advertencia

Shall throw parallel\Future\Error\Killed if parallel\Runtime executing task was killed.

Advertencia

Shall throw parallel\Future\Error\Cancelled if task was already cancelled.